package com.memorynotfound.json;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

public class Run {

    public static void main(String... args){
        Health health = new Health("http://memorynotfound.com", "123.123.123.123");
        Gson gson = new GsonBuilder()
                .setPrettyPrinting()
                .create();
        String result = gson.toJson(health);
        System.out.println("Without version: " + result);

        gson = new GsonBuilder()
                .setVersion(1.0)
                .setPrettyPrinting()
                .create();
        result = gson.toJson(health);
        System.out.println("Version 1.0: " + result);

        gson = new GsonBuilder()
                .setVersion(1.1)
                .setPrettyPrinting()
                .create();
        result = gson.toJson(health);
        System.out.println("Version 1.1: " + result);
    }
}
