package com.memorynotfound.json;

import com.google.gson.annotations.Since;
import java.lang.management.ManagementFactory;

@Since(1.0)
public class Health {

    @Since(1.1)
    private String hostname;
    @Since(1.1)
    private String ip;
    private long startTime;
    private long upTime;

    public Health(String hostname, String ip) {
        this.hostname = hostname;
        this.ip = ip;
        this.startTime = ManagementFactory.getRuntimeMXBean().getStartTime();
        this.upTime = ManagementFactory.getRuntimeMXBean().getUptime();
    }
}
